Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.jems.hibernate
Class StringWrapperUserType

    java.lang.Object
      org.jboss.portal.jems.hibernate.StringWrapperUserType

All Implemented Interfaces:
  java.io.Serializable, org.hibernate.usertype.UserType

Direct Known Subclasses:
  ModeUserType, PortalObjectIdUserType, WindowStateUserType

    public abstract class StringWrapperUserType

extends java.lang.Object
implements org.hibernate.usertype.UserType, java.io.Serializable

Version:
  $Revision: 8784 $
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`StringWrapperUserType()`

Method Summary
`java.lang.Object` | `assemble(java.io.Serializable cached, java.lang.Object owner)`
`java.lang.Object` | `deepCopy(java.lang.Object value)`
`java.io.Serializable` | `disassemble(java.lang.Object value)`
`boolean` | `equals(java.lang.Object x, java.lang.Object y)`
`java.lang.Object` | `fromNull()`
`abstract java.lang.Object` | `fromString(java.lang.String name)`
`int` | `hashCode(java.lang.Object x)`
`boolean` | `isMutable()`
`java.lang.Object` | `nullSafeGet(java.sql.ResultSet resultSet, java.lang.String[] names, java.lang.Object owner)`
`void` | `nullSafeSet(java.sql.PreparedStatement statement, java.lang.Object value, int index)`
`java.lang.Object` | `replace(java.lang.Object original, java.lang.Object target, java.lang.Object owner)`
`int[]` | `sqlTypes()`
`java.lang.String` | `toNull()`
`abstract java.lang.String` | `toString(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.usertype.UserType
`returnedClass`

Constructor Detail

### StringWrapperUserType

    public StringWrapperUserType()

Method Detail

### fromNull

    public java.lang.Object fromNull()

### toNull

    public java.lang.String toNull()

### fromString

    public abstract java.lang.Object fromString(java.lang.String name)

### toString

    public abstract java.lang.String toString(java.lang.Object value)

### sqlTypes

    public int[] sqlTypes()

  Specified by:
    `sqlTypes` in interface `org.hibernate.usertype.UserType`

### equals

    public boolean equals(java.lang.Object x,
                          java.lang.Object y)
                   throws org.hibernate.HibernateException

  Specified by:
    `equals` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### hashCode

    public int hashCode(java.lang.Object x)
                 throws org.hibernate.HibernateException

  Specified by:
    `hashCode` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### nullSafeGet

    public java.lang.Object nullSafeGet(java.sql.ResultSet resultSet,
                                        java.lang.String[] names,
                                        java.lang.Object owner)
                                 throws org.hibernate.HibernateException,
                                        java.sql.SQLException

  Specified by:
    `nullSafeGet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `java.sql.SQLException`

### nullSafeSet

    public void nullSafeSet(java.sql.PreparedStatement statement,
                            java.lang.Object value,
                            int index)
                     throws org.hibernate.HibernateException,
                            java.sql.SQLException

  Specified by:
    `nullSafeSet` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`
    `java.sql.SQLException`

### deepCopy

    public java.lang.Object deepCopy(java.lang.Object value)
                              throws org.hibernate.HibernateException

  Specified by:
    `deepCopy` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### isMutable

    public boolean isMutable()

  Specified by:
    `isMutable` in interface `org.hibernate.usertype.UserType`

### disassemble

    public java.io.Serializable disassemble(java.lang.Object value)
                                     throws org.hibernate.HibernateException

  Specified by:
    `disassemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### assemble

    public java.lang.Object assemble(java.io.Serializable cached,
                                     java.lang.Object owner)
                              throws org.hibernate.HibernateException

  Specified by:
    `assemble` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

### replace

    public java.lang.Object replace(java.lang.Object original,
                                    java.lang.Object target,
                                    java.lang.Object owner)
                             throws org.hibernate.HibernateException

  Specified by:
    `replace` in interface `org.hibernate.usertype.UserType`
  Throws:
    `org.hibernate.HibernateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD